Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Class Main.RectangleOptionHandler

    java.lang.Object
      org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler
          org.apache.batik.apps.rasterizer.Main.SingleValueOptionHandler
              org.apache.batik.apps.rasterizer.Main.RectangleOptionHandler

All Implemented Interfaces:
  Main.OptionHandler

Enclosing class:
  Main

    public abstract static class Main.RectangleOptionHandler

extends Main.SingleValueOptionHandler

Base class for options which expect a `Rectangle` optionValue. Subclasses should implement the `handleOption` method which takes a `Rectangle` and an `SVGConverter` as parameters.

Constructor Summary
`Main.RectangleOptionHandler()`

Method Summary
`abstract void` | `handleOption(Rectangle2D r, SVGConverter c)`
`void` | `handleOption(String optionValue, SVGConverter c)`
`Rectangle2D.Float` | `parseRect(String rectValue)`

Methods inherited from class org.apache.batik.apps.rasterizer.Main.SingleValueOptionHandler
`getOptionValuesLength, safeHandleOption`

Methods inherited from class org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler
`handleOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.apps.rasterizer.Main.OptionHandler
`getOptionDescription`

Constructor Detail

### Main.RectangleOptionHandler

    public Main.RectangleOptionHandler()

Method Detail

### handleOption

    public void handleOption(String optionValue,
                             SVGConverter c)

  Specified by:
    `handleOption` in class `Main.SingleValueOptionHandler`

### handleOption

    public abstract void handleOption(Rectangle2D r,
                                      SVGConverter c)

### parseRect

    public Rectangle2D.Float parseRect(String rectValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.